Bug 129488 - F6 incorrectly lands on font size control in read-only mode
Summary: F6 incorrectly lands on font size control in read-only mode
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Read-Only
  Show dependency treegraph
 
Reported: 2019-12-19 08:44 UTC by Jim Raykowski
Modified: 2020-01-27 07:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-12-19 08:44:28 UTC
I noticed this while using Tabbed and Tabbed Compact user interfaces. For Standard user interface the Formatting toolbar is automatically hidden when a document is set in read-only mode. It can be re-shown by Menu >  View > Toolbars > Formatting.

Steps to repro:

1) Open a text document
2) Uncheck Edit Mode in  Menu > Edit > Edit Mode
3) re-show the Formatting toolbar if needed
4) press F6 repeatedly to navigate keyboard focus

Results:
Disabled Font size control gets keyboard focus

Expected results:
Disabled Font size control does not get keyboard focus
Comment 1 Dieter 2019-12-29 10:56:43 UTC
I confirm it with

Version: 6.5.0.0.alpha0+ (x64)
Build ID: e26d89371f0e4f41476c9a99be01d98dedb76776
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded
Comment 2 Jim Raykowski 2019-12-31 06:54:16 UTC
A patch for this is here:
https://gerrit.libreoffice.org/c/core/+/86040
Comment 3 Commit Notification 2020-01-20 08:30:40 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39a8a3b6b459a21907966c657e32b4498a643a3a

tdf#129488 Fix Font size control enabled state

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Dieter 2020-01-27 07:17:54 UTC
Verified with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded